package com.mgh.pmdm.ejemplosui

import android.os.Bundle
import android.widget.Toast
import com.google.android.material.snackbar.Snackbar
import com.mgh.pmdm.ejemplosui.databinding.ActivityEditParkBinding

class EditParkActivity : ActivityWithMenus(), MiDialogFragment.OnOKOrCancelListener {

    // Clase de vinculación
    private lateinit var binding: ActivityEditParkBinding

    // Implementación de la interfaz MiDialogFragment.OnOKOrCancelListener
    override fun onPositiveClick() {
        Snackbar.make(binding.root, "Se han guardado los datos", Snackbar.LENGTH_LONG)
            .show()
    }

    override fun onCancelClick() {
        Toast.makeText(
            applicationContext,
            "Se ha cancelado la acción", Toast.LENGTH_SHORT
        ).show()
    }

    // Métodos del ciclo de vida
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = ActivityEditParkBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)

        binding.btSave.setOnClickListener {

            // Formateamos el mensaje

            var message = "Nombre: " + binding.Name.text +
                    "\nDescripción: " + binding.Description.text +
                    "\ntelefono: " + binding.Phone.text +
                    "\nWeb: " + binding.webSite.text +
                    "\nHora de apertura: " + binding.SpinnerOpeningTime.selectedItem +
                    "\nHora de cierre: " + binding.SpinnerClosingTime.selectedItem

            if (binding.cbSport.isChecked) message += "\n - Con instalaciones Deportivas"
            if (binding.cbChildren.isChecked) message += "\n - Con instalaciones para niños"
            if (binding.cbBar.isChecked) message += "\n - Con zona de restauración"
            if (binding.cbMascotas.isChecked) message += " \n - Con zona para mascotas"

            message += "\n\n¿Está seguro que desea guardar los datos?"

            val miDialogo = MiDialogFragment("Guardar datos", message)
            miDialogo.show(supportFragmentManager, "miDialogo")

        }
    }
}
